package com.saye.hrs.service;


import java.util.HashMap;
import java.util.List;
import java.util.Map;
/**
 * (Hospital)表服务接口
 *
 * @author makejava
 * @since 2021-09-15 09:38:59
 */
public interface HospitalService {

    HashMap<Object, Object> findHospitalById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findHospitalList(HashMap<Object,Object> map);

    void insertHospital(HashMap<Object,Object> map);

    void updateHospital(HashMap<Object,Object> map);

    void deleteHospitalById(HashMap<Object,Object> map);

    void updateHospitalAbout(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findHospitalNoticeList(HashMap<Object, Object> map);

    void addHospitalNotice(HashMap<Object, Object> map);

    void updateHospitalNotice(HashMap<Object, Object> map);

    void deleteHospitalNotice(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findHospitalArticleList(HashMap<Object, Object> map);

    void addHospitalArticle(HashMap<Object, Object> map);

    void updateHospitalArticle(HashMap<Object, Object> map);

    void deleteHospitalArticle(HashMap<Object, Object> map);

	void addMedicalGuide(HashMap<Object, Object> map);

	void updateMedicalGuide(HashMap<Object, Object> map);

	void deleteMedicalGuide(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findMedicalGuideList(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findMedicalGuide();

	List<HashMap<Object, Object>> findHospitalFloorList(HashMap<Object, Object> map);

	void updateHospitalFloor(HashMap<Object, Object> map);

	void deleteHospitalFloor(HashMap<Object, Object> map);

	void addHospitalFloor(HashMap<Object, Object> map);

	void problemFeedback(Map map);

	List<HashMap<Object, Object>> findMessageNotice(HashMap<Object, Object> map);

	void setMessageNoticeRead(Map map);

	List<HashMap<Object, Object>> findMedicalGuideById(HashMap<Object,Object> map);

	void addPayRequest(Map map);

	HashMap<Object, Object> addHisRecharge(Map map) throws Exception;

	void setMessageNoticeAllRead(Map map);
}
